All Data Structures Namespaces Files Functions Variables Pages
AdminTest Class Reference
Inheritance diagram for AdminTest:

## Public Member Functions

| testAdminPassword ()

## Detailed Description

Definition at line 3 of file AdminTest.php.

## Member Function Documentation

testAdminPassword | ( |  | ) |

Definition at line 5 of file AdminTest.php.

{
$admin = new \Entity\Admin();
$admin->setPassword("test");
$this->assertTrue($admin->checkPassword("test"));
$this->assertFalse($admin->checkPassword("test2"));
$this->assertNotEquals("test", $admin->password);
$this->assertEquals(60, strlen($admin->password));
$admin->password = "test2";
$this->assertFalse($admin->checkPassword("test"));
$this->assertTrue($admin->checkPassword("test2"));
$this->assertEquals(60, strlen($admin->password));
$this->assertNotEquals("test2", $admin->password);
}

The documentation for this class was generated from the following file:

- /home/isundil/Project/ecom/test/models/AdminTest.php